Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleOptionSpinBox

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QStyleOption
                  com.trolltech.qt.gui.QStyleOptionComplex
                      com.trolltech.qt.gui.QStyleOptionSpinBox

All Implemented Interfaces:
  QtJambiInterface

    public class QStyleOptionSpinBox

extends QStyleOptionComplex

The `QStyleOptionSpinBox` class is used to describe the parameters necessary for drawing a spin box.

`QStyleOptionSpinBox` contains all the information that `QStyle` functions need to draw `QSpinBox` and `QDateTimeEdit`.

For performance reasons, the access to the member variables is direct (i.e., using the `.` or `->` operator). This low-level feel makes the structures straightforward to use and emphasizes that these are simply parameters used by the style functions.

For an example demonstrating how style options can be used, see the Styles example.

See Also:
  `QStyleOption`, `QStyleOptionComplex`

Nested Class Summary
`static class` | `QStyleOptionSpinBox.StyleOptionType` This enum is used to hold information about the type of the style option, and is defined for each `QStyleOption` subclass.
`static class` | `QStyleOptionSpinBox.StyleOptionVersion` This enum is used to hold information about the version of the style option, and is defined for each `QStyleOption` subclass.

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QStyleOption
`QStyleOption.OptionType`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`` | `QStyleOptionSpinBox()` Constructs a `QStyleOptionSpinBox`, initializing the members variables to their default values.
`protected` | `QStyleOptionSpinBox(int version)`
`` | `QStyleOptionSpinBox(QStyleOptionSpinBox other)` Constructs a copy of the `other` style option.

Method Summary
`QAbstractSpinBox.ButtonSymbols` | `buttonSymbols()` Returns the type of button symbols to draw for the spin box.
`boolean` | `frame()` Returns whether the spin box has a frame.
`static QStyleOptionSpinBox` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QStyleOptionSpinBox instance pointed to by nativePointer
`static QNativePointer` | `nativePointerArray(QStyleOptionSpinBox[] array)` This function returns a QNativePointer that is pointing to the specified QStyleOptionSpinBox array.
`void` | `setButtonSymbols(QAbstractSpinBox.ButtonSymbols buttonSymbols)` Sets the type of button symbols to draw for the spin box to `buttonSymbols`.
`void` | `setFrame(boolean frame)` Sets whether the spin box has a frame to `frame`.
`void` | `setStepEnabled(QAbstractSpinBox.StepEnabled stepEnabled)` Sets which buttons of the spin box that are enabled to `stepEnabled`.
`void` | `setStepEnabled(QAbstractSpinBox.StepEnabledFlag... stepEnabled)` Sets which buttons of the spin box that are enabled to `stepEnabled`.
`QAbstractSpinBox.StepEnabled` | `stepEnabled()` Returns which buttons of the spin box that are enabled.

Methods inherited from class com.trolltech.qt.gui.QStyleOptionComplex
`activeSubControls, nativePointerArray, setActiveSubControls, setSubControls, subControls`

Methods inherited from class com.trolltech.qt.gui.QStyleOption
`direction, fontMetrics, initFrom, nativePointerArray, palette, rect, setDirection, setFontMetrics, setPalette, setRect, setState, setState, setType, setVersion, state, type, version`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QStyleOptionSpinBox

    public QStyleOptionSpinBox(QStyleOptionSpinBox other)

  Constructs a copy of the `other` style option.

### QStyleOptionSpinBox

    public QStyleOptionSpinBox()

  Constructs a `QStyleOptionSpinBox`, initializing the members variables to their default values.

### QStyleOptionSpinBox

    protected QStyleOptionSpinBox(int version)

Method Detail

### setStepEnabled

    public final void setStepEnabled(QAbstractSpinBox.StepEnabledFlag... stepEnabled)

  Sets which buttons of the spin box that are enabled to `stepEnabled`.

  The default value is QAbstractSpinBox::StepNone.

  See Also:
    `stepEnabled`, `QAbstractSpinBox::StepEnabled`

### setStepEnabled

    public final void setStepEnabled(QAbstractSpinBox.StepEnabled stepEnabled)

  Sets which buttons of the spin box that are enabled to `stepEnabled`.

  The default value is QAbstractSpinBox::StepNone.

  See Also:
    `stepEnabled`, `QAbstractSpinBox::StepEnabled`

### stepEnabled

    public final QAbstractSpinBox.StepEnabled stepEnabled()

  Returns which buttons of the spin box that are enabled.

  The default value is QAbstractSpinBox::StepNone.

  See Also:
    `setStepEnabled`, `QAbstractSpinBox::StepEnabled`

### setButtonSymbols

    public final void setButtonSymbols(QAbstractSpinBox.ButtonSymbols buttonSymbols)

  Sets the type of button symbols to draw for the spin box to `buttonSymbols`.

  The default value is QAbstractSpinBox::UpDownArrows specufying little arrows in the classic style.

  See Also:
    `buttonSymbols`, `QAbstractSpinBox::ButtonSymbols`

### buttonSymbols

    public final QAbstractSpinBox.ButtonSymbols buttonSymbols()

  Returns the type of button symbols to draw for the spin box.

  The default value is QAbstractSpinBox::UpDownArrows specufying little arrows in the classic style.

  See Also:
    `setButtonSymbols`, `QAbstractSpinBox::ButtonSymbols`

### setFrame

    public final void setFrame(boolean frame)

  Sets whether the spin box has a frame to `frame`.

  The default value is false, i.e. the spin box has no frame.

  See Also:
    `frame`

### frame

    public final boolean frame()

  Returns whether the spin box has a frame.

  The default value is false, i.e. the spin box has no frame.

  See Also:
    `setFrame`

### fromNativePointer

    public static QStyleOptionSpinBox fromNativePointer(QNativePointer nativePointer)

  This function returns the QStyleOptionSpinBox instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

### nativePointerArray

    public static QNativePointer nativePointerArray(QStyleOptionSpinBox[] array)

  This function returns a QNativePointer that is pointing to the specified QStyleOptionSpinBox array.

  Parameters:
    `array` - the array that the returned pointer will point to.
  Returns:
    a QNativePointer that is pointing to the specified array.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD